### Hierarchy

- OwnPropsOfRenderer
  - MaterialLayoutRendererProps

## Index

### Properties

- direction
- elements
- enabled
- path
- schema
- uischema
- visible

## Properties

### direction

direction: "row" | "column"

- Defined in util/layout.tsx:54

### elements

elements: UISchemaElement[]

- Defined in util/layout.tsx:53

### Optional enabled

enabled: boolean

Inherited from OwnPropsOfRenderer.enabled

Whether the rendered element should be enabled.

### Optional path

path: string

Inherited from OwnPropsOfRenderer.path

Optional instance path. Necessary when the actual data path can not be inferred via the UI schema element as it is the case with nested controls.

### Optional schema

schema: JsonSchema

Inherited from OwnPropsOfRenderer.schema

The JSON schema that describes the data.

### Optional uischema

uischema: UISchemaElement

Inherited from OwnPropsOfRenderer.uischema

The UI schema to be rendered.

### Optional visible

visible: boolean

Inherited from OwnPropsOfRenderer.visible

Whether the rendered element should be visible.

Generated using TypeDoc